Bug 1474564 - Failed to start virt-who service in RHEL6
Failed to start virt-who service in RHEL6
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscriptions - virt-who (Show other bugs)
x86_64 Linux
unspecified Severity urgent (vote)
: Beta
: --
Assigned To: Barnaby Court
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2017-07-24 20:47 EDT by Liushihui
Modified: 2018-02-21 11:54 EST (History)
10 users (show)

See Also:
Fixed In Version: virt-who-0.20.4-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-02-21 11:54:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Github virt-who/virt-who/pull/86 None None None 2017-07-25 17:00 EDT

  None (edit)
Description Liushihui 2017-07-24 20:47:15 EDT
Description of problem:
Failed to start virt-who service in RHEL6 arch.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. In RHEL6 arch, install virt-who-0.20.2-1.el6sat.noarch package
2. Start virt-who service
# service virt-who start
10:44:48 Starting virt-who: [FAILED]
10:44:48 Traceback (most recent call last):
10:44:48   File "/usr/bin/virt-who", line 9, in <module>
10:44:48     load_entry_point('virt-who==0.20.2', 'console_scripts', 'virt-who')()
10:44:48   File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 299, in load_entry_point
10:44:48     return get_distribution(dist).load_entry_point(group, name)
10:44:48   File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2229, in load_entry_point
10:44:48     return ep.load()
10:44:48   File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1948, in load
10:44:48     entry = __import__(self.module_name, globals(),globals(), ['__name__'])
10:44:48   File "/usr/lib/python2.6/site-packages/virtwho/__main__.py", line 6, in <module>
10:44:48     import virtwho.main
10:44:48   File "/usr/lib/python2.6/site-packages/virtwho/main.py", line 38, in <module>
10:44:48     from virtwho.parser import parse_options, OptionError
10:44:48   File "/usr/lib/python2.6/site-packages/virtwho/parser.py", line 25, in <module>
10:44:48     from argparse import ArgumentParser, Action
10:44:48 ImportError: No module named argparse

Actual results:
Failed to start virt-who service as "ImportError: No module named argparse"

Expected results:
Virt-who can start normally

Additional info:
virt-who-0.20.2-1.el7sat.noarch can install and run normally in RHEL7 arch
Comment 1 Barnaby Court 2017-07-25 02:53:48 EDT
What version of RHEL 6 was this tested on and which RHEL 6 repositories were enabled?
Comment 2 Chris Snyder 2017-07-25 17:00:19 EDT
Evgeni added a fix for this in the PR added as an external tracker.
Comment 3 Eko 2017-07-25 21:53:39 EDT
This issue is caused by missing python-argparse package, can install it by manual, but it's more better if virt-who spec file can add "Requires" for this package.
Comment 5 Liushihui 2017-07-30 20:32:16 EDT
I used released RHEL6 to do the test. Thanks.
Comment 7 Eko 2017-10-16 23:17:43 EDT
verified it, python-argparse is required for virt-who already,

# rpm -qp --requires virt-who-0.20.4-1.el6sat.noarch.rpm 
config(virt-who) = 0.20.4-1.el6sat
python(abi) = 2.6
python-rhsm >= 1.10.10
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
Comment 8 pm-sat@redhat.com 2018-02-21 11:54:17 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> For information on the advisory, and where to find the updated files, follow the link below.
> If the solution does not work for you, open a new bug report.
> https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.